Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

Not able to install Hcat Clients in HDP 2.4.2 Cluster

Highlighted

Not able to install Hcat Clients in HDP 2.4.2 Cluster

New Contributor

error getting while installing Hcat client

Any thoughts ?

Traceback (most recent call last): File "/var/lib/ambari-agent/cache/common-services/HIVE/0.12.0.2.0/package/scripts/hcat_client.py", line 85, in <module> HCatClient().execute() File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py", line 280, in execute method(env) File "/var/lib/ambari-agent/cache/common-services/HIVE/0.12.0.2.0/package/scripts/hcat_client.py", line 36, in install self.configure(env) File "/var/lib/ambari-agent/cache/common-services/HIVE/0.12.0.2.0/package/scripts/hcat_client.py", line 41, in configure hcat() File "/usr/lib/python2.6/site-packages/ambari_commons/os_family_impl.py", line 89, in thunk return fn(*args, **kwargs) File "/var/lib/ambari-agent/cache/common-services/HIVE/0.12.0.2.0/package/scripts/hcat.py", line 75, in hcat content=InlineTemplate(params.hcat_env_sh_template) File "/usr/lib/python2.6/site-packages/resource_management/core/source.py", line 148, in __init__ super(InlineTemplate, self).__init__(name, extra_imports, **kwargs) File "/usr/lib/python2.6/site-packages/resource_management/core/source.py", line 135, in __init__ self.template = self.template_env.get_template(self.name) File "/usr/lib/python2.6/site-packages/ambari_jinja2/environment.py", line 716, in get_template return self._load_template(name, self.make_globals(globals)) File "/usr/lib/python2.6/site-packages/ambari_jinja2/environment.py", line 690, in _load_template template = self.loader.load(self, name, globals) File "/usr/lib/python2.6/site-packages/ambari_jinja2/loaders.py", line 127, in load code = environment.compile(source, name, filename) File "/usr/lib/python2.6/site-packages/ambari_jinja2/environment.py", line 492, in compile self.handle_exception(exc_info, source_hint=source) File "<unknown>", line 26, in template ambari_jinja2.exceptions.TemplateSyntaxError: unexpected '}'

2 REPLIES 2

Re: Not able to install Hcat Clients in HDP 2.4.2 Cluster

Super Mentor

@sajid mohammed

Looks like jinja template parsing issue.

Can you please share the following details:

1). What is the exact Ambari Version? Also please share the output of the following command so that we can check the ambari binary versions. (Specially from the host where you are trying to install the client)

# rpm -qa | grep ambari

2). Also please let us know if by any chance you modified anything on the "Advanced hive-env" --> "hive-env template"

Or any other template from Ambari UI recently.

3). Is this issue happening upon installing hcat client on any particular host or on other host as well?

.

Re: Not able to install Hcat Clients in HDP 2.4.2 Cluster

New Contributor

@Jay SenSharma

1) Ambari Version - 2.4.2.0

output of the command is

15350-output.jpg

2) didn't changed anything from Ambari UI.

3) in All hosts getting same error.